git: 910a898f1722 - stable/12 - pf tests: altq:codel_bridge requires if_bridge

Kristof Provost kp at FreeBSD.org
Sat Sep 4 12:28:17 UTC 2021


The branch stable/12 has been updated by kp:

URL: https://cgit.FreeBSD.org/src/commit/?id=910a898f172284a9a646919f63efca2e45ae5146

commit 910a898f172284a9a646919f63efca2e45ae5146
Author:     Kristof Provost <kp at FreeBSD.org>
AuthorDate: 2021-09-01 14:09:14 +0000
Commit:     Kristof Provost <kp at FreeBSD.org>
CommitDate: 2021-09-04 12:26:15 +0000

    pf tests: altq:codel_bridge requires if_bridge
    
    Check that the bridge module is loaded before running this test.
    It likely will be (as a result of running the bridge tests), but if it's
    not we'll get spurious failures.
    
    MFC after:      3 days
    Sponsored by:   Rubicon Communications, LLC ("Netgate")
    
    (cherry picked from commit d491b42535db50693eac5946557f7527f9903b4b)
---
 tests/sys/netpfil/pf/altq.sh | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/tests/sys/netpfil/pf/altq.sh b/tests/sys/netpfil/pf/altq.sh
index 2b5b1828595f..0ced82a3a942 100644
--- a/tests/sys/netpfil/pf/altq.sh
+++ b/tests/sys/netpfil/pf/altq.sh
@@ -156,6 +156,9 @@ codel_bridge_body()
 {
 	altq_init
 	is_altq_supported codel
+	if ! kldstat -q -m if_bridge; then
+		atf_skip "This test requires if_bridge"
+	fi
 
 	epair=$(vnet_mkepair)
 	ifconfig ${epair}a 192.0.2.1/24 up


More information about the dev-commits-src-branches mailing list